Subject: Re: [PATCHv2 2/2] git p4: add support for 'p4 move' in P4Submit

From: Pete Wyckoff <[email-masked]>
Date: Mon, 5 Nov 2012 12:57:24 -0500

[email-masked] wrote on Mon, 05 Nov 2012 17:37 +0000:
> Pete Wyckoff <pw <at> padd.com> writes:
> 
> > 
> > From: Gary Gibbons <ggibbons <at> perforce.com>
> > 
> > For -M option (detectRenames) in P4Submit, use 'p4 move' rather
> > than 'p4 integrate'.  Check Perforce server for exisitence of
> > 'p4 move' and use it if present, otherwise revert to 'p4 integrate'.
> > 
> 
> Hi Pete,
> 
> I've just been hit by a situation where this command is available but is
> disabled in the server. I don't know what is the best approach to avoid
> this issue.

Really?  The command exists in the server because it returns the
text output for "p4 help move".  But "p4 move" itself fails
because it is somehow disabled in the server?

I didn't even know it was possible to administratively disable
commands.

What's the actual error message?  And versions of your client and
server (p4 -V, p4d -V, p4 info).

Any ideas Gary?

		-- Pete